org.apache.maven.monitor.event

## Class DefaultEventMonitor

- java.lang.Object
- - org.apache.maven.monitor.event.AbstractSelectiveEventMonitor
  - - org.apache.maven.monitor.event.DefaultEventMonitor

- All Implemented Interfaces:
    EventMonitor

      public class DefaultEventMonitor
      extends AbstractSelectiveEventMonitor

  Author:
    jdcasey

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultEventMonitor(Logger logger)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doStartEvent(java.lang.String event, java.lang.String target, long time)`

    - ### Methods inherited from class org.apache.maven.monitor.event.AbstractSelectiveEventMonitor

      `doEndEvent, doErrorEvent, endEvent, errorEvent, startEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultEventMonitor

          public DefaultEventMonitor(Logger logger)

  - ### Method Detail

    - #### doStartEvent

          protected void doStartEvent(java.lang.String event,
                          java.lang.String target,
                          long time)

      Overrides:
        `doStartEvent` in class `AbstractSelectiveEventMonitor`